/*** 
*assert.h - define the assert macro
*
*
Purpose:
*   This file defines the assert macro.
*   [ANSI/System V]
*
*******************************************************************************/

#ifndef _ASSERT_DEFINED

#ifndef NDEBUG

static char _assertstring[] = "Assertion failed: file %s, line %d\n";

#define assert(exp) { \
    if (!(exp)) { \
        fprintf(stderr, _assertstring, __FILE__, __LINE__); \
        exit(1); \
        } \
    }

#else

#define assert(exp)

#endif /* NDEBUG */

#define _ASSERT_DEFINED

#endif /* _ASSERT_DEFINED */
